Subject: Re: [Catalina-22] [EQUIPMENT] Rudder Replacement

From: <[email-masked]>
Date: Wed, 30 May 2007 05:24:14 -0700 (PDT)

I concur with Bayard on the Idasailor rudder
   
  Glenn Hedmark
  12533 sk
  DiZire
  wauconda, Il.

[email-masked] wrote:
        Despite the very great expense, the kick up rudder from Ida Sailor at least is made of plastic and will never rot away like your current rudder.
   
  Bayard Gross
CTYH9911M81B
BABY BLUE
http://tinyurl.com/4qaq7
Greenwich, CT

  In a message dated 5/29/2007 9:01:12 PM Eastern Daylight Time, [email-masked] writes:
    It's Sunday afternoon, and I'm gliding down the Magothy River toward Chesapeake Bay, sailing single-handed and close hauled in a fresh 8 - 10 knot breeze.  The rails are dipping in and out of the river with each little gust, and I'm enjoying a great ride.  Suddenly I can't keep the boat on course, and it rounds up into the wind .  It didn't seem right at the moment, but it was time for me to head in anyway, so I put the boat before the wind and headed for my slip.  As I'm sailing downwind, I notice that the rudder feels a little wishy-washy.  I look over the transom and find that it is cracked from front to back about 12" above the waterline.  I guess the "cosmetic" cracks that I repaired over the winter were part of a bigger problem; the core looks pretty waterlogged.
   
  So now I need to replace my rudder.  This looks like the excuse I needed to buy a kick-up rudder. I use my boat for day sailing, not racing.  The water can get pretty shallow around a slip I often use, so I usually pull the rudder into the boat.    My boat is a 1986, #13237.  I know this topic has been thoroughly discussed on this list before, but I admit that I haven't committed all of the list's collective wisdom and opinions to memory.  I'm looking for feedback on the blade vs. the kick-up rudder as well as any experience with specific manufacturer's products.  I'll begin searching tonight, but if someone knows of a rudder for sale, please let me know that as well.
   
  Thanks!
   
  David Palmateer
  13237

 

---------------------------------
  See what's free at AOL.com. 

Glenn Hedmark
  DiZire
  12533
  1984 sk
  Wauconda, Illinois